
# line plots
from pandas import read_csv
from matplotlib import pyplot
# load the new file

dataset = read_csv('HondaHome2018_NET_POWER_Daily.csv', 
#dataset = read_csv('HondaHome2018_Cleaned.csv', 
                   header=0, 
                   infer_datetime_format=True, 
                   parse_dates=['datetime'], 
                   index_col=['datetime'])


# line plot for each variable
pyplot.figure()
for i in range(len(dataset.columns)):
    pyplot.subplot(len(dataset.columns), 1, i+1)
    name = dataset.columns[i]
    pyplot.plot(dataset[name])
    pyplot.title(name, y=0)
pyplot.show()